summaryrefslogtreecommitdiffstats
path: root/source/ap/cups/cups.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/cups/cups.SlackBuild')
-rwxr-xr-xsource/ap/cups/cups.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/ap/cups/cups.SlackBuild b/source/ap/cups/cups.SlackBuild
index 010002919..540af43b3 100755
--- a/source/ap/cups/cups.SlackBuild
+++ b/source/ap/cups/cups.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2017, 2018, 2019, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cups
-VERSION=${VERSION:-$(echo $PKGNAM-*-source.tar.?z | cut -f 2 -d -)}
-BUILD=${BUILD:-6}
+VERSION=${VERSION:-$(echo $PKGNAM-2*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -76,7 +76,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf cups-$VERSION
-tar xvf $CWD/cups-$VERSION-source.tar.?z || exit 1
+tar xvf $CWD/cups-$VERSION.tar.?z || exit 1
cd cups-$VERSION || exit 1
sed -i.orig -e 's#$exec_prefix/lib/cups#$libdir/cups#g' configure